# DeepOBDConf

## DDE-AutoLLA

**Automatische Leerlaufanhebung** 

Hebt die Leerlaufdrehzahl automatisch per Regelwerk aufgrund verschiedener Parameter an.

#### Funktion

- **Elektrischer Zuheizer**

  wenn der Zuheizer aktiv ist wird die Leerlaufdrehzahl stärker angehoben, um Leerlaufschwankungen zu reduzieren

- **Generatorlastsignal**

  - bei hoher Generatorlast wird die LL-Drehzahl leicht angehoben
  - bei sehr hoher Generatorlast noch höher

- **Motortemperatur**

  - verschiedene Stufen je nach Motortemperatur
  - ausgehend von sehr kalt wird bis Betriebstemperatur die Anhebung in Stufen reduziert
  - bei heißem Motor (> 105°C) wird die Drehzahl für bessere Kühlung um 200 upm erhöht, bis die Temperatur auf 95 °C gesunken ist

- **Kupplungsschalter**

  - bei betätigter Kupplung Anhebung auf 900 upm für angenehmeres Anfahrverhalten
  - einige Sekunden nachdem die Kupplung nicht mehr getreten ist Reduzierung auf Minimum (wenn keine andere LL-Intervention aktiv) 

- **Klimakompressor und Klimabereitschaft**

  - Klimaanlage an aber Kompressor läuft nicht: moderate Anhebung um Drehzahleinbruch bei Kompressoranlauf zu reduzieren
  - Klimakompressor läuft: etwas höhere Anhebung

- Reduktion auf Serienwert nur bei Betriebstemperatur, wenn keine andere Intervention aktiv ist, nach einigen Sekunden

- Parameter sind im Code konfigurierbar



Die Adaption Leerlaufanhebung wird hier **nicht programmiert** sondern nur **verstellt**, was sich rein im RAM der DDE abspielt und somit trotz sehr häufiger Änderung keine Folgeschäden befürchten lässt. Diese Änderungen verschwinden nach Zündung aus wieder. Ohne aktivem DeepOBD ist das ganze somit außer Funktion und der Serienstand aktiv. 

Da dies immer automatisch aktiv sein soll muss die Konfiguration die "Hauptseite" in DeepOBD sein. 



#### Bekannte Probleme

- Werte für TÖNS wie in der IBUS_APP Konfiguration können derzeit nicht abgerufen werden, da ich noch keinen Weg gefunden habe über benutzerdefinierten Code mehrere ECUs nacheinander abzurufen. 

